Summary: A documentation system for C/C++.
Name: doxygen
Version: 1.8.1.1
Release: 1
Url: http://www.stack.nl/~dimitri/doxygen/index.html
Source0: ftp://ftp.stack.nl/pub/users/dimitri/%{name}-%{version}.src.tar.gz
Patch0: %{name}-1.7.1-config.patch
Patch1: %{name}-1.7.5-timestamp.patch
Patch2: %{name}-%{version}-aix.patch
Group: Development/Tools
# No version is specified.
License: GPL+

BuildRequires: ghostscript, flex, bison, patch, make
BuildRequires: gcc >= 4.2.3-2, gcc-c++ >= 4.2.3-2, libstdc++-devel >= 4.2.3-2
BuildRequires: libiconv >= 1.14-2
Requires: libgcc >= 4.2.3-2, libstdc++ >= 4.2.3-2
Requires: libiconv >= 1.14-2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Doxygen can generate an online class browser (in HTML) and/or a
reference manual (in LaTeX) from a set of documented source files. The
documentation is extracted directly from the sources. Doxygen can
also be configured to extract the code structure from undocumented
source files.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0 -p1 -b .config
%patch1 -p1 -b .timestamp
%patch2


%build
export QTDIR=""

./configure \
   --prefix %{_prefix} \
   --platform aix-g++ \
   --shared \
   --release

gmake %{?_smp_mflags} all


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# drop -x bit
find examples -type f | xargs chmod -x

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc LANGUAGE.HOWTO README examples
%{_bindir}/*
%{_mandir}/man1/*.1*
/usr/bin/*


%changelog
* Sun Jun 10 2012 Michael Perzl <michael@perzl.org> - 1.8.1.1-1
- updated to version 1.8.1.1

* Sun May 20 2012 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Thu Mar 01 2012 Michael Perzl <michael@perzl.org> - 1.8.0-1
- updated to version 1.8.0

* Thu Mar 01 2012 Michael Perzl <michael@perzl.org> - 1.7.6.1-2
- fixed shared library search path compiled into binary

* Mon Dec 12 2011 Michael Perzl <michael@perzl.org> - 1.7.6.1-1
- updated to version 1.7.6.1

* Sat Nov 19 2011 Michael Perzl <michael@perzl.org> - 1.7.5.1-1
- updated to version 1.7.5.1

* Mon Feb 22 2010 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Thu Jan 07 2010 Michael Perzl <michael@perzl.org> - 1.6.2-1
- updated to version 1.6.2

* Tue Sep 15 2009 Michael Perzl <michael@perzl.org> - 1.6.1-1
- first version for AIX5L v5.1 and higher
